<?php
session_start();
if($_SESSION["sistema"]!= "1"){ header("location: ../../index.php"); exit();}
require_once ("../../config/Cado.php");
require_once ("cCatalogo.php");
$oCatalogo = new cCatalogo();
require_once ("../producto/cProductofile.php");
$oProductofile = new cProductofile();
require_once ("../formatos/formato.php");
$est=1;
$lim="";
$dts0=$oCatalogo->filtrar($_POST['txt_bus_pro_nom'],$_POST['txt_bus_pro_codbar'],$est,$lim);
$dt0 = mysqli_fetch_array($dts0);
$num_rows= mysqli_num_rows($dts0);
if($num_rows>0)
{
	if($num_rows==1)
	{	
		$dts1=$oCatalogo->filtrar($_POST['txt_bus_pro_nom'],$_POST['txt_bus_pro_codbar'],$est,$lim);
		$dt1 = mysqli_fetch_array($dts1);
			$data['pro_id']		=$dt1['tb_producto_id'];
			$data['cat_id']		=$dt1['tb_catalogo_id'];
			$data['pro_codbar'] =$dt1['tb_presentacion_codbar'];
			$data['pro_nom']	=$dt1['tb_producto_nom'];
			//precio venta
			$data['cat_preven'] =$dt1['tb_catalogo_preven'];
			
			//cantidad		
			//$data['cat_can']=$cat_can;
			//unidad
			$data['cat_uni']='<option value="'.$dt1['tb_unidad_id'].'"selected>'.$dt1['tb_unidad_nom'].'</option>';
			//imagenes
			$imgs = [];
			$dtsimg = $oProductofile->filtrar($data['pro_id']);
			while ($img = mysqli_fetch_assoc($dtsimg)) array_push($imgs, $img['tb_productofile_url']);
			mysqli_free_result($dtsimg);
			$data['imagenes'] = implode('&', $imgs);
		mysqli_free_result($dts1);
		$data['accion']=1;
	}
}
else{
	$data['accion']=0;
}
mysqli_free_result($dts0);
echo json_encode($data);